Change the week days to month days in Gantt view
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

so we can easily find out the date in Gantt view.

Related issues:

Related to Redmine - Feature #3034: Add day numbers to gantt Closed 2009-03-23

History

#1 - 2013-08-01 12:00 - Junhua Wang

Index: /home/tattoo/workspace/redmine/app/views/gantts/show.html.erb

===================================================================

--- /home/tattoo/workspace/redmine/app/views/gantts/show.html.erb    (版本 12072)

+++ /home/tattoo/workspace/redmine/app/views/gantts/show.html.erb    (工作副本)

@@ -237,6 +237,9 @@

     left = 0

     height = g_height + header_height - 1

     wday = @gantt.date_from.cwday

+

+    month_f = @gantt.date_from

+    mday = month_f.day

   %>

   <% (@gantt.date_to - @gantt.date_from + 1).to_i.times do %>

     <%

@@ -251,12 +254,18 @@

       clss << " nwday" if @gantt.non_working_week_days.include?(wday)

     %>

     <%= content_tag(:div, :style => style, :class => clss) do %>

-      <%= day_letter(wday) %>

+      <%= mday %> <!--%= day_letter(wday) % modified by tattoo-->

     <% end %>

     <%

       left = left + width + 1

       wday = wday + 1

       wday = 1 if wday > 7

+      

+      mday += 1

+      if mday > Date.new(month_f.year, month_f.month, -1).day

+        mday = 1 

+        month_f = month_f >> 1

+      end

     %>

   <% end %>

 <% end %>

#2 - 2013-08-02 05:20 - Mischa The Evil

Junhua Wang wrote:

so we can easily find out the date in Gantt view.

 I agree, that is currently pretty tough. Nevertheless, some users would probably still want to have the days displayed with the first letter of the day...

#3 - 2014-11-03 13:48 - Go MAEDA

- Related to Feature #3034: Add day numbers to gantt added
#4 - 2015-10-04 15:25 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Day number in gantt has been implemented by #3034.

Please wait for the release of Redmine 3.2.0.
